using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace DuckModel
{
    public class RedheadDuck : DuckBehaviour
    {
        public override void Display()
        {
            Console.WriteLine("I am a Redhead duck");
        }

        public RedheadDuck()
        {
            base.SetFlyBehaviour(new FlyWithWings());
            base.SetQuackBehaviour(new Quack());
        }
    }
}
